/**
* Copyright (C) 2009 EDIT
* European Distributed Institute of Taxonomy 
* http://www.e-taxonomy.eu
* 
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/

package eu.etaxonomy.taxeditor.propertysheet;

import eu.etaxonomy.cdm.model.taxon.Taxon;

/**
 * @author p.ciardelli
 * @created 09.02.2009
 * @version 1.0
 */
abstract public class AbstractEditorPropertySheet implements ICdmBasePropertySource {

	/** 
	 * A reference to the taxon the concrete operation is working on 
	 */
	protected Taxon taxon;
	
	public AbstractEditorPropertySheet(Taxon taxon) {
		this.taxon = taxon;
	}
}
